Subject: RE: iSCSI - do we need anything in the mode pages?

From: Robert Snively <[email-masked]>
Date: Fri, 28 Sep 2001 08:32:28 -0700

I disagree.

SCSI driver stacks are used to being able to find the
state of EMDP and to adjusting the state of EMDP in the
MODE SELECT pages.  If the bit exists at all, it should
also exist and be controllable from the mode pages.

A possible alternative, given that
EMDP may be less important at very high data rates and when
very large caches are available, is to
explicitly prohibit EMDP in iSCSI.  That would eliminate
the parameter from both the mode pages and from the login,
creating the desired simplification.

Bob Snively                        e-mail:    [email-masked]
Brocade Communications Systems     phone:  408 487 8135
1745 Technology Drive
San Jose, CA 95110

> -----Original Message-----
> From: Rod Harrison [mailto:[email-masked]]
> Sent: Friday, September 28, 2001 12:50 AM
> To: Julian Satran; [email-masked]
> Subject: RE: iSCSI - do we need anything in the mode pages?
> 
> 
> 
> 	I am in favour of this.
> 
> 	- Rod
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Julian Satran
> Sent: Friday, September 28, 2001 4:50 AM
> To: [email-masked]
> Subject: iSCSI - do we need anything in the mode pages?
> Importance: High
> 
> 
> Dear colleagues:
> 
> We have now only two scraps of information in the iSCSI mode page:
> 
>    EMDP
>    CRN
> 
> 
> I suggest we take EMDP out (for simplicity) and reintroduce
> DataSequenceInOrder
> 
> Unfortunately we can't do anything about CRN - but since it is not
> strictly
> an iSCSI issue
> we can just as for it to be placed honorably in commonly used per-LU
> page
> by T10.
> 
> Please comment.
> 
> Julo
> 
>